Bug 362431 - Review Request: catdoc - A program which converts Microsoft office files to plain text
Review Request: catdoc - A program which converts Microsoft office files to p...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 15:30 EDT by Adel Gadllah
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 05:37:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adel Gadllah 2007-11-01 15:30:22 EDT
Spec URL: http://tgmweb.at/gadllah/catdoc.spec
SRPM URL: http://tgmweb.at/gadllah/catdoc-0.94.2-1.fc7.src.rpm
Description:
catdoc is program which reads one or more Microsoft word files
and outputs text, contained insinde them to standard output.
Therefore it does same work for.doc files, as unix cat
command for plain ASCII files.
It is now accompanied by xls2csv - program which converts
Excel spreadsheet into comma-separated value file,
and catppt - utility to extract textual information
from Powerpoint files
Comment 1 Parag AN(पराग) 2007-11-03 10:02:46 EDT
rpmlint reported 
catdoc.i386: E: wrong-script-interpreter /usr/bin/wordview ""
This script uses an incorrect interpreter.
Comment 3 Parag AN(पराग) 2007-11-05 00:33:44 EST
unable to verify upstream source
http://ftp.wagner.pp.ru/pub/catdoc/catdoc-0.94.2.tar.gz
gave me
Server is temporarily closed
Comment 4 Adel Gadllah 2007-11-06 10:36:11 EST
The server should be working now.
Comment 5 Parag AN(पराग) 2007-11-07 02:12:59 EST
thanks.
But can you modify your makefile patch to have all install commands to Preserve
timestamp as said in
http://fedoraproject.org/wiki/Packaging/Guidelines#head-0239576e441f9ef53d175c4aec8c12868dffb5ab


Comment 6 Adel Gadllah 2007-11-11 04:28:26 EST
sorry for the delay, uploaded a fixed package:
http://tgmweb.at/gadllah/catdoc.spec
http://tgmweb.at/gadllah/catdoc-0.94.2-3.fc7.src.rpm

Comment 7 Patrice Dumas 2007-11-11 05:16:00 EST
I cannot access the srpm, I get a 404 error.
Comment 8 Adel Gadllah 2007-11-11 05:24:15 EST
(In reply to comment #7)
> I cannot access the srpm, I get a 404 error.

this:
http://tgmweb.at/gadllah/catdoc-0.94.2-3.fc7.src.rpm
works for me (I removed -1 and -2 from the server, they are outdated)
Comment 9 Parag AN(पराग) 2007-11-12 05:53:09 EST
I cannot access the srpm, I get a 404 error.
Comment 10 Mamoru TASAKA 2007-11-12 07:01:37 EST
It seems....
http://tgmweb.at/gadllah/catdoc-0.94.2-3.fc8.src.rpm
Comment 11 Parag AN(पराग) 2007-11-12 07:36:17 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
243e1680bb3e703616f5adecfee24491  catdoc-0.94.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package catdoc-0.94.2-3.fc8 ->
  Requires: /usr/bin/wish libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.3) libm.so.6 libm.so.6(GLIBC_2.1) rtld(GNU_HASH) tk
+ Not a GUI App.
APPROVED.
Comment 12 Adel Gadllah 2007-11-12 11:18:41 EST
New Package CVS Request
=======================
Package Name: catdoc
Short Description:  A program which converts Microsoft office files to plain text
Owners: drago01
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 13 Kevin Fenzi 2007-11-12 12:40:53 EST
cvs done.
Comment 14 Patrice Dumas 2007-11-12 15:32:30 EST
I'd like to have this package in epel, I can be 
comaintainer.
Comment 15 Adel Gadllah 2007-11-12 16:00:25 EST
(In reply to comment #14)
> I'd like to have this package in epel, I can be 
> comaintainer.

ok, np (request access via packagedb after the request is done and I will
approve it)

Package Change Request
======================
Package Name: catdoc
New Branches: EL-4 EL-5
Comment 16 Kevin Fenzi 2007-11-12 16:45:27 EST
cvs done.
Comment 17 Mamoru TASAKA 2007-11-21 05:37:24 EST
Closing as this is already built and already in devel, F-8/7.

Note You need to log in before you can comment on or make changes to this bug.